$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.15.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.15.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'B985671F24997D737ECB99AC58DA0D3277C845F74A0A0ECCDA162F5E9D9A9FF8'
  checksumType = 'sha256'
  checksum64 = 'B985671F24997D737ECB99AC58DA0D3277C845F74A0A0ECCDA162F5E9D9A9FF8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.15-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
